# docker compose attach

<!---MARKER_GEN_START-->
Attach local standard input, output, and error streams to a service's running container

### Options

| Name            | Type     | Default | Description                                               |
|:----------------|:---------|:--------|:----------------------------------------------------------|
| `--detach-keys` | `string` |         | Override the key sequence for detaching from a container. |
| `--dry-run`     | `bool`   |         | Execute command in dry run mode                           |
| `--index`       | `int`    | `0`     | index of the container if service has multiple replicas.  |
| `--no-stdin`    | `bool`   |         | Do not attach STDIN                                       |
| `--sig-proxy`   | `bool`   | `true`  | Proxy all received signals to the process                 |


<!---MARKER_GEN_END-->
